org.eclipse.microprofile.reactive.messaging.tck.extension

## Class AwaitilityArchiveAppender

- java.lang.Object
- - org.jboss.arquillian.container.test.spi.client.deployment.CachedAuxilliaryArchiveAppender
  - - org.eclipse.microprofile.reactive.messaging.tck.extension.AwaitilityArchiveAppender

All Implemented Interfaces:
  org.jboss.arquillian.container.test.spi.client.deployment.AuxiliaryArchiveAppender

    public class AwaitilityArchiveAppender
    extends org.jboss.arquillian.container.test.spi.client.deployment.CachedAuxilliaryArchiveAppender

### Constructor Summary

Constructors
Constructor and Description
`AwaitilityArchiveAppender()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.jboss.shrinkwrap.api.Archive<?>` `buildArchive()`

### Methods inherited from class org.jboss.arquillian.container.test.spi.client.deployment.CachedAuxilliaryArchiveAppender

`createAuxiliaryArchive`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AwaitilityArchiveAppender

    public AwaitilityArchiveAppender()

### Method Detail

#### buildArchive

    protected org.jboss.shrinkwrap.api.Archive<?> buildArchive()

Specified by:
  `buildArchive` in class `org.jboss.arquillian.container.test.spi.client.deployment.CachedAuxilliaryArchiveAppender`